Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class HistoryBrowserInterface.InsertNodeBeforeCommand

    java.lang.Object
      org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
          org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.InsertNodeBeforeCommand

All Implemented Interfaces:
  UndoableCommand

Enclosing class:
  HistoryBrowserInterface

    public static class HistoryBrowserInterface.InsertNodeBeforeCommand

extends AbstractUndoableCommand

Inserts the given node as a child to the given parent node before the specified sibling node, or as the last child of the given parent, if the sibling node is null.

Field Summary
`protected Node` | `child` The node to be appended.
`protected Node` | `newNextSibling` The node's new next sibling.
`protected Node` | `oldNextSibling` The node's previous next sibling.
`protected Node` | `oldParent` The node's previous parent.
`protected Node` | `parent` The node's new parent.

Fields inherited from class org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
`name`

Constructor Summary
`HistoryBrowserInterface.InsertNodeBeforeCommand(String commandName, Node parent, Node sibling, Node child)` Constructor.

Method Summary
`void` | `execute()` Executes this command.
`void` | `redo()` Performs redo for this command.
`boolean` | `shouldExecute()` Tests if the command can be executed.
`void` | `undo()` Performs undo for this command.

Methods inherited from class org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oldParent

    protected Node oldParent

  The node's previous parent.

### oldNextSibling

    protected Node oldNextSibling

  The node's previous next sibling.

### newNextSibling

    protected Node newNextSibling

  The node's new next sibling.

### parent

    protected Node parent

  The node's new parent.

### child

    protected Node child

  The node to be appended.

Constructor Detail

### HistoryBrowserInterface.InsertNodeBeforeCommand

    public HistoryBrowserInterface.InsertNodeBeforeCommand(String commandName,
                                                           Node parent,
                                                           Node sibling,
                                                           Node child)

  Constructor.

Method Detail

### execute

    public void execute()

  Description copied from interface: `UndoableCommand`
  Executes this command.

  Specified by:
    `execute` in interface `UndoableCommand`
  Overrides:
    `execute` in class `AbstractUndoableCommand`

### undo

    public void undo()

  Description copied from interface: `UndoableCommand`
  Performs undo for this command.

  Specified by:
    `undo` in interface `UndoableCommand`
  Overrides:
    `undo` in class `AbstractUndoableCommand`

### redo

    public void redo()

  Description copied from interface: `UndoableCommand`
  Performs redo for this command.

  Specified by:
    `redo` in interface `UndoableCommand`
  Overrides:
    `redo` in class `AbstractUndoableCommand`

### shouldExecute

    public boolean shouldExecute()

  Description copied from interface: `UndoableCommand`
  Tests if the command can be executed.

  Specified by:
    `shouldExecute` in interface `UndoableCommand`
  Overrides:
    `shouldExecute` in class `AbstractUndoableCommand`
  Returns:
    True if command should be executed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.